Page MenuHomePhabricator

Remove unused code from __functional_base. NFC.
ClosedPublic

Authored by Quuxplusone on May 13 2018, 11:19 AM.

Details

Summary

__user_alloc_construct_impl is used by <experimental/memory_resource>, but this __user_alloc_construct is never used.

Also, <experimental/memory_resource> doesn't need a full definition of std::tuple; just the forward declaration in <__tuple> will suffice.

Diff Detail

Repository
rCXX libc++

Event Timeline

Quuxplusone created this revision.May 13 2018, 11:19 AM

@EricWF: would you mind landing these two drive-by fixes while you're at it?

Quuxplusone added inline comments.May 19 2018, 12:53 PM
include/experimental/memory_resource
99

...although maybe I don't understand the rules here. For example, I see allocator_arg_t and monostate are both marked _LIBCPP_TEMPLATE_VIS as well, even though they're not templates.

Quuxplusone edited the summary of this revision. (Show Details)

Also, <experimental/memory_resource> doesn't need a full definition of std::tuple; just the forward declaration in <__tuple> will suffice.

EricWF accepted this revision.Jun 5 2018, 11:46 PM
This revision is now accepted and ready to land.Jun 5 2018, 11:46 PM
EricWF closed this revision.Jun 5 2018, 11:47 PM

r334069